class OrganizationDistro < ActiveRecord::Base
  self.table_name = 'organizations'
  
  has_many :feeds, :as => :owner, :class_name => "FeedDistro"
  has_many :topics, :as => :owner, :class_name => "TopicDistro"
  
  has_many :teams, -> { order("is_primary DESC, name") }, :class_name => "TeamDistro", :foreign_key => :organization_id
  has_many :team_members, :through => :teams
  has_many :members, :through => :team_members
end
