class TeamDistro < ActiveRecord::Base
  self.table_name = "teams"
  belongs_to :organization, :class_name => "OrganizationDistro", :foreign_key => :organization_id
  
  has_many :team_members, :class_name => "TeamMemberDistro", :foreign_key => :team_id
  has_many :members, :through => :team_members
  
  has_many :team_feeds, :class_name => "TeamFeedDistro", :foreign_key => :team_id
  has_many :feeds, :through => :team_feeds
  
  has_many :owned_feeds, :class_name => 'FeedDistro', :as => :owner
  
end
